<p>Za transformaciju \(L(\vec x)\) kažemo da je linearna ako zadovoljava sljedeća svojstva.
\[
 L(\vec x + \vec y) = L(\vec x) + L(\vec y) \quad \mbox{   za svaki vektor } \vec x, \vec y \\
 L(t \cdot \vec x) = t \cdot L(\vec x) \quad \mbox{ za svaki vektor } \vec x \mbox{ i za svaki skalar } t
\]
</p>

<p>Ako je transformacija \(L(\vec x) = \vec x \cdot \mathbf{A}\) gdje podrazumijevamo da su vektori jednoretčane matrice, tada s obzirom na svojstva matrica možemo pisati:
\[
L(\vec x + \vec y) = (\vec x + \vec y) \cdot \mathbf{A} = \vec x \cdot \mathbf{A} + \vec y \cdot \mathbf{A} = L(\vec x) + L(\vec y)
\]
te također:
\[
L(t \cdot \vec x) = (t \cdot \vec x) \cdot \mathbf{A} = t \cdot (\vec x \cdot \mathbf{A}) = t \cdot L(\vec x)
\]
iz čega slijedi da je transformacija zapisiva kao \(L(\vec x) = \vec x \cdot \mathbf{A}\) linearna transformacija. Linearne transformacije nul-vektor preslikavaju u nul-vektor (što je u ishodištu, pod djelovanjem linearne transformacije ostaje u ishodištu).</p>

<p>Općenito, afine transformacije nisu linearne. Neka je \(T(\vec x) = \vec x \cdot \mathbf{A} + \vec b\) afina transformacija. Lako je vidjeti da je:
\[
T(\vec x + \vec y) = (\vec x + \vec y) \cdot \mathbf{A} + \vec b = \vec x \cdot \mathbf{A} + \vec y \cdot \mathbf{A} + \vec b \neq T(\vec x) + T(\vec y) \mbox{ ako je }\vec b \neq \vec 0.
\]
</p>

<p>Međutim, afine transformacije (a time automatski i linearne transformacije koje su poseban slučaj afinih) imaju niz zanimljivih svojstava koja su navedena u nastavku.</p>

<ol>
<li>Pravce preslikavaju u pravce.</li>
<li>Linijske segmente preslikavaju u linijske segmente.</li>
<li>Ako su dva pravca/segmenta paralelna, preslikani pravci/segmenti bit će paralelni.</li>
<li>n-terokut se preslikava u n-terokut.</li>
<li>Paralelogram se preslikava u paralelogram.</li>
<li>Čuva se omjer duljina paralelnih segmenata.</li>
<li>Čuva se omjer površina dvaju likova.</li>
</ol>

<p>Svojstvo (1) možemo pokazati na sljedeći način. Jednadžba pravca u parametarskom obliku glasi: \(\vec p(\lambda) = \lambda \cdot \vec d + \vec r\). Afina transformacija pravca tada svaku točku preslikava u:
\[
T(\vec p(\lambda)) = (\lambda \cdot \vec d + \vec r) \cdot \mathbf{A} + \vec b = 
\lambda \cdot (\vec d \cdot \mathbf{A}) + \vec r \cdot \mathbf{A} + \vec b =
\lambda \cdot \vec d' + \vec r'
\]
što je ponovno parametarska jednadžba pravca. Svojstvo (2) samo je poseban slučaj kada ograničimo vrijednost parametra na interval [0,1].
</p>

<p>Za pokazati svojstvo (3), uzmimo dva paralelna pravca: \(\vec p_1(\lambda) = \lambda \cdot \vec d_1 + \vec r_1\) i \(\vec p_2(\lambda) = \lambda \cdot \vec d_2 + \vec r_2\). Ako su pravci paralelni, tada su im vektori smjera nužno kolinearni, odnosno mora vrijediti da je \(\vec d_2 = \mu \cdot \vec d_1\) za neki \(\mu \in \mathbb{R}\). Prvi pravac preslikava se u:
\[
T(\vec p_1(\lambda)) = (\lambda \cdot \vec d_1 + \vec r_1) \cdot \mathbf{A} + \vec b = 
\lambda \cdot (\vec d_1 \cdot \mathbf{A}) + \vec r_1 \cdot \mathbf{A} + \vec b
\]
dok se drugi preslikava u:
\[
T(\vec p_2(\lambda)) = (\lambda \cdot \vec d_2 + \vec r_2) \cdot \mathbf{A} + \vec b = 
\lambda \cdot (\vec d_2 \cdot \mathbf{A}) + \vec r_2 \cdot \mathbf{A} + \vec b =
\lambda \cdot \mu \cdot (\vec d_1 \cdot \mathbf{A}) + \vec r_2 \cdot \mathbf{A} + \vec b.
\]
Vektor smjera prvog preslikanog pravca je \(\vec d_1 \cdot \mathbf{A}\) a drugog preslikanog pravca \(\mu \cdot (\vec d_1 \cdot \mathbf{A})\) iz čega slijedi da su oni kolinearni: ali tada su i preslikani pravci nužno paralelni!</p>

<p>Ostala svojstva ovdje nećemo dokazivati već ih ostavljamo čitateljima za vježbu.</p>




